%define		gitver a1900c3
Name:		rtmpdump
Version:	2.4
Release:	3.git%{gitver}%{?dist}
Summary:	rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://. 

Group:		Applications/Multimedia
License:	GPLv2 or LGPLv2.1
URL:		http://rtmpdump.mplayerhq.hu/
### git clone git://git.mplayerhq.hu/rtmpdump
Source0:	%{name}-%{version}.tar.xz
Patch0:		rtmpdump-prefix.patch
Patch1:		rtmpdump-x64.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	openssl-devel zlib-devel

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported, including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n librtmp-devel
Summary:	Libraries for rtmpdump
Group:		System Environment/Libraries
Requires:	openssl-devel

%description -n librtmp-devel
Libraries for rtmpdump

%prep
%setup -q
%ifarch x86_64
%patch1 -p1
%else
%patch0 -p1
%endif

rm -rf .git

%build
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc ChangeLog README
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/rtmpdump
%{_sbindir}/rtmp*
%{_libdir}/librtmp.so.*
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n librtmp-devel
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/librtmp.pc
%{_includedir}/librtmp/*.h
%{_mandir}/man3/librtmp.3*

%changelog
* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 2.4-3
- Update git
- change license dir

* Thu Jan 23 2014 momo-i <webmaster@momo-i.org> - 2.4-2
- Update git

* Fri Nov 29 2013 momo-i <webmaster@momo-i.org> - 2.4-1
- Update to 2.4

* Wed Mar 13 2013 momo-i <webmaster@momo-i.org> 2.3-1
- Initial rpm release.
